-- SD-4584
-- may be deleted after 7.11.2 release
;WITH Remover
AS
(SELECT
		[Id],
		ROW_NUMBER()
		OVER (
		PARTITION BY
		[AuthorSysAdminUnitId], [GranteeSysAdminUnitId], [Operation]
		ORDER BY
		[ModifiedOn] DESC
		) AS Numerator
	FROM [SysEntitySchemaRecordDefRight]
	WHERE [SubjectSchemaUId] IN (SELECT
				[uid]
			FROM [SysSchema] ss
			WHERE [Name] = 'SysDashboard'
		)
)
DELETE FROM [SysEntitySchemaRecordDefRight]
WHERE [Id] IN (SELECT
			[Id]
		FROM [Remover]
		WHERE 1 < [Numerator]
	)