IF (EXISTS (SELECT * FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'FieldForceActionType'))
BEGIN
	IF (EXISTS (select * from [FieldForceActionType] WHERE [Code] NOT IN
		('CheckIn', 'CheckOut', 'AcceptanceOrder', 'ShowPresentation', 'SKUMonitoring', 'NumberOfPatients', 'PromotedProducts')))
	BEGIN
		UPDATE [AdminUnitFeatureState]
		SET [FeatureState] = 0
		WHERE [FeatureId] IN (Select [Id] FROM [Feature] WHERE [Code] = 'EnableMobileVisitActionExtensionApi')
	END
END